Social Fetch
Google

List Google company ads

List ads a company or advertiser is running in Google Ad Transparency.

Google Ad Transparency only includes public ads.

GET/v1/google/ad-library/companies/ads
25credits
x-api-key*stringheader

API key (`sfk_...`)

Parameters
9
domainstringquery

Company domain when you do not have an advertiser id.

min 1 chars · max 4096 chars

advertiserIdstringquery

Google Ad Transparency advertiser id when you have it instead of a domain.

min 1 chars · max 4096 chars

topicstringquery

Optional topic filter. When `political`, `region` is required.

one of: all, political

regionstringquery

Optional region filter as a two-letter country code.

startDatestringquery

Optional start date filter in YYYY-MM-DD format.

pattern: ^\d{4}-\d{2}-\d{2}$

endDatestringquery

Optional end date filter in YYYY-MM-DD format.

pattern: ^\d{4}-\d{2}-\d{2}$

platformstringquery

Optional Google surface filter.

one of: google_maps, google_play, google_search, google_shopping, youtube

formatstringquery

Optional creative format filter.

one of: text, image, video

cursorstringquery

Opaque pagination cursor from a previous response (`data.page.nextCursor`).

min 1 chars

Response fields
20

Endpoint-specific response payload.

datalookupStatus
string

Whether the company or advertiser resolved for this request.

one of: found, not_found

Ads returned for the requested company or advertiser. This array may be empty when the lookup resolves but no ads match the filters.

dataads[]advertiserId
string

Google Ad Transparency advertiser id.

min 1 chars

dataads[]creativeId
string

Google Ad Transparency creative id.

min 1 chars

dataads[]format
stringnullable

Creative format when available (text, image, or video).

dataads[]adUrl
stringnullable

Public Google Ad Transparency URL for this creative when available.

dataads[]advertiserName
stringnullable

Advertiser display name when available.

dataads[]domain
stringnullable

Advertiser domain when available.

dataads[]imageUrl
stringnullable

Preview image URL when available.

dataads[]firstShown
stringnullable

ISO-8601 timestamp for when the ad was first shown, when available.

dataads[]lastShown
stringnullable

ISO-8601 timestamp for when the ad was last shown, when available.

dataadsEstimate
integernullable

Estimated total number of matching ads when reported; otherwise null.

≥ 0

Pagination information for the current response.

datapagenextCursor
stringnullable

Cursor to pass as `cursor` in the next request when `hasMore` is true; otherwise null.

datapagehasMore
boolean

Whether another page of ads can be requested.

Metadata describing the request and billing outcome.

metarequestId
string

Unique request identifier for tracing this API call.

min 1 chars

metacreditsCharged
integer

Credits charged for this request.

≥ 0

metaversion
string

Public API version that served the response.

one of: v1

Code example

curl "https://api.socialfetch.dev/v1/google/ad-library/companies/ads?domain=lululemon.com" \
  -H "x-api-key: YOUR_API_KEY"

Responses

Ads for the requested company or advertiser.